//Set some defaults
if (!localStorage.url) {
    localStorage.url = 'ws://demo.thruway.ws:9090/';
}

if (!localStorage.realm) {
    localStorage.realm = 'com.example.notification';
}

if (!localStorage.topic) {
    localStorage.topic = 'com.example.notification.desktop';
}


if (window.Notification) {

    var connection = new autobahn.Connection({
        url: localStorage.url,
        realm: localStorage.realm
    });

    connection.onopen = function (session, details) {

        console.log('connected to WAMP router');
        session.subscribe(localStorage.topic, function (args) {
            show(args[0]);
        });
    };

    connection.onclose = function (reason, details) {

        console.log('connection closed', reason, details);

    };

    connection.open();

}

/*
 This function was copied from the toast notification example
 */
function show(message) {
    var time = /(..)(:..)/.exec(new Date());     // The prettyprinted time.
    var hour = time[1] % 12 || 12;               // The prettyprinted hour.
    var period = time[1] < 12 ? 'a.m.' : 'p.m.'; // The period of the day.
    new Notification(hour + time[2] + ' ' + period, {
        //icon: '48.png',
        body: message
    });
}
